## Class Swift_Transport_MailTransport

(line 31)

## Description

Located in File: /vendors/swiftMailer/classes/Swift/Transport/MailTransport.php

##### Sends Messages using the mail() function.

It is advised that users do not use this transport if at all possible since a number of plugin features cannot be used in conjunction with this transport due to the internal interface in PHP itself.

The level of error reporting with this transport is incredibly weak, again due to limitations of PHP's internal mail() function. You'll get an all-or-nothing result from sending.

- author: - Chris Corbyn

Classes extended from Swift_Transport_MailTransport:

Swift_MailTransport
  Sends Messages using the mail() function.

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
Swift_Transport_MailTransport __construct (Swift_Transport_MailInvoker $invoker, Swift_Events_EventDispatcher $eventDispatcher, Swift_Transport_Log $log)
string getExtraParams ()
void isStarted ()
void registerPlugin (Swift_Events_EventListener $plugin)
int send (Swift_Mime_Message $message, [string[] &$failedRecipients = null])
void setExtraParams (string $params)
void start ()
void stop ()

#### Constructor __construct (line 47)

#### Swift_Transport_MailTransport __construct( Swift_Transport_MailInvoker $invoker, Swift_Events_EventDispatcher $eventDispatcher, Swift_Transport_Log $log)

Overridden in child classes as:

Swift_MailTransport::__construct()
  Create a new MailTransport, optionally specifying $extraParams.

##### Create a new MailTransport with the $log.

#### Parameters

- Swift_Transport_Log $log:
- Swift_Transport_MailInvoker $invoker:
- Swift_Events_EventDispatcher $eventDispatcher:

#### Info

- access - public

#### Method getExtraParams (line 96)

#### string getExtraParams( )

##### Get the additional parameters used on the mail() function.

This string is formatted for sprintf() where %s is the sender address.

#### Info

- access - public

#### Method isStarted (line 57)

#### void isStarted( )

Implementation of:

Swift_Transport::isStarted()
  Test if this Transport mechanism has started.

##### Not used.

#### Info

- access - public

#### Method registerPlugin (line 211)

#### void registerPlugin( Swift_Events_EventListener $plugin)

Implementation of:

Swift_Transport::registerPlugin()
  Register a plugin in the Transport.

##### Register a plugin.

#### Parameters

- Swift_Events_EventListener $plugin:

#### Info

- access - public

#### Method send (line 111)

#### int send( Swift_Mime_Message $message, [string[] &$failedRecipients = null])

Implementation of:

Swift_Transport::send()
  Send the given Message.

##### Send the given Message.

Recipient/sender data will be retreived from the Message API. The return value is the number of recipients who were accepted for delivery.

#### Parameters

- Swift_Mime_Message $message:
- string[] &$failedRecipients: to collect failures by-reference

#### Info

- access - public

#### Method setExtraParams (line 83)

#### void setExtraParams( string $params)

##### Set the additional parameters used on the mail() function.

This string is formatted for sprintf() where %s is the sender address.

#### Parameters

- string $params:

#### Info

- access - public

#### Method start (line 65)

#### void start( )

Implementation of:

Swift_Transport::start()
  Start this Transport mechanism.

##### Not used.

#### Info

- access - public

#### Method stop (line 72)

#### void stop( )

Implementation of:

Swift_Transport::stop()
  Stop this Transport mechanism.

##### Not used.

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

Documentation generated on Fri, 12 Nov 2010 20:45:24 +0000 by phpDocumentor 1.4.3